"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactRedux = require("react-redux");

var _reactIntl = require("react-intl");

/* eslint-disable */
var mapState = function mapState(_ref) {
  var locale = _ref.locale;
  return {
    locale: locale.locale.split('_').shift(),
    messages: locale.locales[locale.locale] ? locale.locales[locale.locale].messages : {}
  };
};

var LocaleProvider = function LocaleProvider(_ref2) {
  var locale = _ref2.locale,
      messages = _ref2.messages,
      children = _ref2.children;
  return _react["default"].createElement(_reactIntl.IntlProvider, {
    locale: locale,
    messages: messages
  }, typeof children === 'function' ? children(locale) : children);
};

LocaleProvider.propTypes = {
  locale: _propTypes["default"].string.isRequired,
  messages: _propTypes["default"].object.isRequired,
  children: _propTypes["default"].any.isRequired // eslint-disable-line

};

var _default = (0, _reactRedux.connect)(mapState)(LocaleProvider);

exports["default"] = _default;