"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = exports.reducer = exports.actionHandlers = exports.addLocale = exports.setLocale = exports.ADD_LOCALE = exports.SET_LOCALE = exports.initialState = void 0;

var _extends3 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _actionHandlers;

var initialState = {
  locale: 'en',
  locales: {},
  cacheLocal: false,
  cacheDuration: 86400000 // 24h

  /**
   * Actions
   */

};
exports.initialState = initialState;
var SET_LOCALE = 'setLocale@locale';
exports.SET_LOCALE = SET_LOCALE;
var ADD_LOCALE = 'addLocale@locale';
exports.ADD_LOCALE = ADD_LOCALE;

var setLocale = function setLocale(locale) {
  return {
    type: SET_LOCALE,
    payload: {
      locale: locale
    }
  };
};

exports.setLocale = setLocale;

var addLocale = function addLocale(key, value, ctime) {
  return {
    type: ADD_LOCALE,
    payload: {
      key: key,
      value: value,
      ctime: ctime
    }
  };
};
/**
 * Handlers
 */


exports.addLocale = addLocale;
var actionHandlers = (_actionHandlers = {}, _actionHandlers[SET_LOCALE] = function (state, _ref) {
  var payload = _ref.payload;
  return (0, _extends3["default"])({}, state, {
    locale: payload.locale
  });
}, _actionHandlers[ADD_LOCALE] = function (state, _ref2) {
  var _extends2;

  var payload = _ref2.payload;
  return (0, _extends3["default"])({}, state, {
    locales: (0, _extends3["default"])({}, state.locales, (_extends2 = {}, _extends2[payload.key] = {
      messages: payload.value,
      ctime: payload.ctime
    }, _extends2))
  });
}, _actionHandlers);
exports.actionHandlers = actionHandlers;

var reducer = function reducer(state, action) {
  if (state === void 0) {
    state = initialState;
  }

  var handler = actionHandlers[action.type];
  return handler ? handler(state, action) : state;
};

exports.reducer = reducer;
var _default = reducer;
exports["default"] = _default;